/*=========================================*/
/* 								 	      */
/* 									      */
/* 	Author:     Zane Yi				      */
/* 	Date:       2007.02.01			      */
/* 									      */
/*=========================================*/
#ifndef _ISUPDEF_H_
#define _ISUPDEF_H_

extern	ISUP_Resource_Pond	isup_db;
extern	ISUP_Timer_Struct	isup_timer_var;
extern	up_message			isup_rv_msg,isup_sd_msg;
extern	SiAllPdus			isup_rv_pdus,isup_sd_pdus;

/*-----isup_msg.c-------*/
extern	int		isup_mdsc_proc();
extern	int		isup_send_msg(u32 pid, u8 msg_type);


/*-----isup_fsm.c-------*/
extern	int isup_event_handle(u32 pid, u8 primitive, u8 eventType);


extern	void isup_cpc_proc(u32 pid);
extern	void isup_cpc_timer(u32 pid);

extern	void isup_cpci_proc(u32 pid);
extern	void isup_cpci_timer(u32 pid);

extern	void isup_cpco_proc(u32 pid);
extern	void isup_cpco_timer(u32 pid);

extern	void isup_csc_timer(u32 pid);

extern	void isup_bls_proc(u32 pid);
extern	void isup_bls_timer(u32 pid);

extern	void isup_blr_proc(u32 pid);


extern	void isup_mgbr_proc(u32 pid);


extern	void isup_mgbs_proc(u32 pid);
extern	void isup_mgbs_timer(u32 pid);
        
extern	void isup_crr_proc(u32 pid);

        
extern	void isup_crs_proc(u32 pid);
extern	void isup_crs_timer(u32 pid);
        
extern	void isup_cgrr_proc(u32 pid);

        
extern	void isup_cgrs_proc(u32 pid);
extern	void isup_cgrs_timer(u32 pid);
        
extern	u8 isup_check_crs_waiting(u32 pid);

#endif
